net.corda.flows

## Class IssuerFlow.Issuer

- FlowLogic
- - net.corda.flows.IssuerFlow.Issuer

- Enclosing class:
    IssuerFlow

      public static class IssuerFlow.Issuer
      extends FlowLogic

  Issuer refers to a Node acting as a Bank Issuer of `interface FungibleAsset`, and processes requests from a `class IssuerFlow.IssuanceRequester` client. Returns the generated transaction representing the transfer of the `interface FungibleAsset` to the issue requester.

  See Also:
    `interface FungibleAsset`, `class IssuerFlow.IssuanceRequester`, `interface FungibleAsset`

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `Issuer.Companion`
    `static class` | `Issuer.Service`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static Issuer.Companion` | `Companion`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Issuer(Party otherParty)` Issuer refers to a Node acting as a Bank Issuer of `interface FungibleAsset`, and processes requests from a `class IssuerFlow.IssuanceRequester` client. Returns the generated transaction representing the transfer of the `interface FungibleAsset` to the issue requester.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `SignedTransaction` | `call()` This is where you fill out your business logic. The returned object will usually be ignored, but can be helpful if this flow is meant to be used as a subflow.
    `Party` | `getOtherParty()`
    `ProgressTracker` | `getProgressTracker()` Override this to provide a `class ProgressTracker`. If one is provided and stepped, the framework will do something helpful with the progress reports. If this flow is invoked as a subflow of another, then the tracker will be made a child of the current step in the parent. If it's null, this flow doesn't track progress.

    - ### Methods inherited from class net.corda.core.flows.FlowLogic

      `call, getCounterpartyMarker, getLogger, getProgressTracker, getRunId, getServiceHub, getStateMachine, receive, send, sendAndReceive, setStateMachine, subFlow, subFlow, track, waitForLedgerCommit`

- - ### Field Detail

    - #### Companion

          public static Issuer.Companion Companion

  - ### Constructor Detail

    - #### Issuer

          public Issuer(Party otherParty)

      Issuer refers to a Node acting as a Bank Issuer of `interface FungibleAsset`, and processes requests from a `class IssuerFlow.IssuanceRequester` client. Returns the generated transaction representing the transfer of the `interface FungibleAsset` to the issue requester.

      See Also:
        `interface FungibleAsset`, `class IssuerFlow.IssuanceRequester`, `interface FungibleAsset`

  - ### Method Detail

    - #### getProgressTracker

          public ProgressTracker getProgressTracker()

      Override this to provide a `class ProgressTracker`. If one is provided and stepped, the framework will do something helpful with the progress reports. If this flow is invoked as a subflow of another, then the tracker will be made a child of the current step in the parent. If it's null, this flow doesn't track progress.

      Note that this has to return a tracker before the flow is invoked. You can't change your mind half way through.

      See Also:
        `class ProgressTracker`

    - #### call

          public SignedTransaction call()

      This is where you fill out your business logic. The returned object will usually be ignored, but can be helpful if this flow is meant to be used as a subflow.

    - #### getOtherParty

          public Party getOtherParty()